> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/document.md).

# Document

Manage ERP documents, including creation, updates, state transitions, line items, validation, printing, locking, picking, shipments, and workflows.

the Document API

## POST /erp/documents

> create a new document

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Document","description":"the Document API"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/documents":{"post":{"tags":["Document"],"summary":"create a new document","operationId":"createDocument","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentTypeTransitionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-DocumentResponse"}}}}}}}},"components":{"schemas":{"erp-document-DocumentTypeTransitionRequest":{"properties":{"transitionId":{"type":"string","description":"Transition identifier."},"targetTypeId":{"type":"integer","format":"int64","description":"Target document type identifier, if any."},"parameters":{"type":"array","description":"additional parameters for transition","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}},"document":{"$ref":"#/components/schemas/erp-document-RequestDocument"}},"required":["transitionId"]},"common-api-AdditionalParameter":{"description":"Additional parameters.","properties":{"key":{"type":"string","description":"key for this parameter"},"value":{"type":"object","description":"value for this parameter"}},"required":["key"]},"erp-document-RequestDocument":{"description":"Details of the document to create or update.","properties":{"accountId":{"type":"string","description":"account-id to create a new Document"},"locationId":{"type":"string","description":"location-id to create a new Document"},"salesChannelId":{"type":"string","description":"sales-channel-id to create a new Document"},"externalId":{"type":"string","description":"reference to the corresponding document in an external system"},"externalNumber":{"type":"string","description":"External document number."},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system, e.g. the transaction id of the payment provider.","maxLength":255,"minLength":0},"billingType":{"type":"string","description":"billing type","enum":["GROSS","NET"]},"calculationMode":{"type":"string","description":"calculation mode","enum":["HORIZONTAL","VERTICAL"]},"documentDate":{"type":"string","format":"date","description":"Document date."},"performanceDate":{"type":"string","format":"date","description":"Performance date."},"cancellationReasonRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"supplierAccountId":{"type":"integer","format":"int64","description":"Default supplier when transferring from an order to supplier orders."},"lines":{"type":"array","description":"Document lines.","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentLine"}},"targetDocumentType":{"$ref":"#/components/schemas/erp-document-DocumentType"},"incomingGoodsPickTrolleyId":{"type":"integer","format":"int64","description":"Pick trolley identifier for the incoming goods (when incomingGoodsStorageBinId is null)."},"incomingGoodsStorageBinId":{"type":"integer","format":"int64","description":"Storage bin identifier for the incoming goods (when incomingGoodsPickTrolleyId is null)."},"priceModifiers":{"type":"array","description":"Document discounts.","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentPriceModifier"}},"posRegisterId":{"type":"integer","format":"int64","description":"POS register identifier (for POS)."},"cashDrawerId":{"type":"integer","format":"int64","description":"Cash drawer identifier (for POS)."},"depositPaymentAmount":{"type":"number","description":"Deposit amount."},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentPosDetail"},"posPayments":{"type":"array","description":"One or more POS payments.","items":{"$ref":"#/components/schemas/erp-document-DocumentPosPayment"}},"texts":{"type":"array","description":"Document header and footer texts.","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"einvoice":{"type":"boolean"}}},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-document-RequestDocumentLine":{"description":"Details of the document to create or update.","properties":{"name":{"type":"string","description":"Article name."},"positionOfArticleLine":{"type":"integer","format":"int32","description":"Article position number."},"description":{"type":"string","description":"Article description."},"lineId":{"type":"string","description":"Document line identifier in the current document."},"sourceLineId":{"type":"string","description":"Source document line identifier."},"refLineId":{"type":"string","description":"Referenced document line identifier (optional)."},"articleId":{"type":"string","description":"Article identifier of this line (optional)."},"onGoodsArrivalConvertIntoBundleArticleId":{"type":"string","description":"Bundle article the received goods of this line are converted into (optional)."},"externalId":{"type":"string","description":"Reference to the corresponding line in an external system."},"productPrice":{"type":"number","description":"Article price of this line (optional)."},"totalLinePrice":{"type":"number","description":"Total line price (optional)."},"priceModifiers":{"type":"array","description":"Price modifiers for this line (optional).","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentPriceModifier"}},"texts":{"type":"array","description":"Texts for this line (optional).","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentText"}},"quantity":{"type":"number","description":"Quantity to process in this transaction."},"storageId":{"type":"string","description":"Storage identifier (optional)."},"markCompleted":{"type":"boolean","default":false,"description":"Should the source line be marked as completed after a successful processing?"},"supplierAccountId":{"type":"integer","format":"int64","description":"Required for converting a customer order into a supplier order."},"bookings":{"type":"array","description":"Bookings for this document line.","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentLineBooking"}},"commissions":{"type":"array","description":"Commissions for this document line.","items":{"$ref":"#/components/schemas/erp-document-RequestDocumentLineCommission"}},"commissionOrigin":{"type":"string","description":"Document line commission origin.","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]},"lineType":{"type":"string","description":"Line type.","enum":["ARTICLE_LINE","ALTERNATIVE_POSITION","LINK_POSITION","OPTIONAL_POSITION","TEXT_LINE","SHIPPING_COST_LINE","SUBTOTAL","POS","ROUNDING_LINE","OPEN_ITEM_SETTLEMENT","ON_ACCOUNT_PAYMENT","VOUCHER_SALE","VOUCHER_REDEMPTION"]},"settledOpenItemId":{"type":"string","description":"Identifier of the open item to settle (only for OPEN_ITEM_SETTLEMENT)."},"settledOpenItemComment":{"type":"string","description":"Note on the open item line - transferred into the open item comment on closing."},"voucherTypeId":{"type":"string","description":"Voucher type of the sales line (VOUCHER_SALE only)"},"voucherId":{"type":"string","description":"The affected voucher: for VOUCHER_REDEMPTION the one to redeem, for VOUCHER_SALE on return, credit note or cancellation the returned one"},"voucherCode":{"type":"string","description":"Scanned code of the preprinted voucher card (VOUCHER_SALE of a voucher type with scanned codes only)"},"financeBooking":{"$ref":"#/components/schemas/erp-document-DocumentFinanceBooking"},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentLinePosDetail"},"returnDetail":{"$ref":"#/components/schemas/erp-document-DocumentLineReturnDetail"},"incomingGoodsPickTrolleyId":{"type":"integer","format":"int64","description":"Pick trolley identifier for the incoming goods (when `incomingGoodsStorageBinId` is null)."},"incomingGoodsStorageBinId":{"type":"integer","format":"int64","description":"Storage bin identifier for the incoming goods (when `incomingGoodsPickTrolleyId` is null)."},"dropShippingPolicy":{"type":"string","description":"Defines whether and how an article may be sold by drop shipping.","enum":["ANY","DROP_SHIPPING","STORAGE","STORAGE_WITH_FALLBACK_TO_DROP_SHIPPING"]},"shippingCostDetail":{"$ref":"#/components/schemas/erp-document-RequestDocumentLineShippingCostDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-document-RequestDocumentLineFabricationDetail"},"doLabelPrint":{"type":"boolean","default":false,"description":"Trigger the label printing for this line."}}},"erp-document-RequestDocumentPriceModifier":{"description":"Document discounts.","properties":{"modifierValue":{"type":"number","description":"modifierValue of this line","minimum":0},"valueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"modifierName":{"type":"string","description":"modifierName of this line"},"modifierType":{"type":"string","description":"type of this price modifier (discount/surcharge)","enum":["DISCOUNT","SURCHARGE"]},"sourceType":{"type":"string","description":"Source of price modifier","enum":["CUSTOM","PRODUCT","DISCOUNT_GROUP","PREDECESSOR_DOCUMENT"]}},"required":["modifierType","modifierValue","valueType"]},"erp-document-RequestDocumentText":{"description":"Texts for this line (optional).","properties":{"textPosition":{"type":"string","description":"header or footer text","enum":["HEADER_TEXT","FOOTER_TEXT"]},"content":{"type":"string","description":"text content"}}},"erp-document-RequestDocumentLineBooking":{"description":"Bookings for this document line.","properties":{"sourceComponentId":{"type":"integer","format":"int64","description":"Booked source DocumentLineComponent identifier."},"quantity":{"type":"number","description":"Booked quantity."},"storageBinId":{"type":"integer","format":"int64","description":"Identifier of the storage bin booked to."},"serialNumberId":{"type":"integer","format":"int64","description":"Identifier of a serial number to book, if any."}},"required":["quantity","storageBinId"]},"erp-document-RequestDocumentLineCommission":{"description":"Commissions for this document line.","properties":{"salesAgentAccountRef":{"$ref":"#/components/schemas/erp-account-Account"},"description":{"type":"string","description":"Description."},"comment":{"type":"string","description":"Comment."},"valueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"value":{"type":"number","description":"Commission percentage or value."},"origin":{"type":"string","description":"Origin.","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]}},"required":["origin","salesAgentAccountRef","value","valueType"]},"erp-account-Account":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"types":{"type":"array","description":"list of types, this account is used for (e.g. CUSTOMER, SUPPLIER, ","items":{"type":"string","description":"list of types, this account is used for (e.g. CUSTOMER, SUPPLIER, ","enum":["CUSTOMER","SUPPLIER","MANUFACTURER","SERVICE_PROVIDER","MERCHANT","SALES_AGENT","COMPANY","PROSPECTIVE"]}},"number":{"type":"string","description":"Address number."},"displayName":{"type":"string","description":"Display name.","readOnly":true},"active":{"type":"boolean","default":true,"description":"Is account active?","readOnly":true},"taxNumber":{"type":"string","description":"Tax number.","maxLength":255,"minLength":0},"remark":{"type":"string","description":"Remark.","maxLength":1024,"minLength":0},"note":{"type":"string","description":"Note."},"companyLegalRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"initialContactTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"address":{"$ref":"#/components/schemas/erp-account-AccountAddress"},"person":{"$ref":"#/components/schemas/erp-account-AccountPerson"},"addresses":{"type":"array","description":"All addresses except the default address.","items":{"$ref":"#/components/schemas/erp-account-AccountAddress"}},"persons":{"type":"array","description":"Contact person.","items":{"$ref":"#/components/schemas/erp-account-AccountPerson"}},"customer":{"$ref":"#/components/schemas/erp-account-Customer"},"supplier":{"$ref":"#/components/schemas/erp-account-Supplier"},"salesAgent":{"$ref":"#/components/schemas/erp-account-SalesAgent"},"manufacturer":{"$ref":"#/components/schemas/erp-account-AccountManufacturer"},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"localCourt":{"type":"string","description":"Competent local court.","maxLength":255,"minLength":0},"companyRegister":{"type":"string","description":"Commercial register identifier.","maxLength":255,"minLength":0},"costCenter":{"type":"string","description":"Cost center."},"languageCode":{"type":"string","description":"Account language."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"reportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"initialContactAt":{"type":"string","format":"date","description":"Initial contact at."},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is the tax liability reversed under §13b UStG?"},"afterPickingTargetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxIds":{"type":"array","description":"Tax numbers.","items":{"$ref":"#/components/schemas/erp-account-TaxIdForeignCountry"}},"relations":{"type":"array","description":"Account relations.","items":{"$ref":"#/components/schemas/erp-account-AccountRelation"}},"dunningBlock":{"type":"boolean","default":false,"description":"Dunning block."},"payablesSum":{"type":"number","description":"Total payables.","readOnly":true},"payablesSumCurrencyCode":{"type":"string","description":"Total payables currency (ISO Alpha-3).","readOnly":true},"anonymized":{"type":"boolean","description":"Is the account anonymized?","readOnly":true},"receivablesSum":{"type":"number","description":"Total receivables.","readOnly":true},"receivablesSumCurrencyCode":{"type":"string","description":"Total receivables currency (ISO Alpha-3).","readOnly":true},"loanValue":{"$ref":"#/components/schemas/erp-account-AccountLoanValue"},"loanCurrencyCode":{"type":"string","description":"Credit limit currency (ISO Alpha-3).","readOnly":true},"accountZoneId":{"type":"string","description":"Account time zone (or time zone offset).","enum":["ACT","AET","AGT","ART","AST","BET","BST","CAT","CNT","CST","CTT","EAT","ECT","IET","IST","JST","MIT","NET","NST","PLT","PNT","PRT","PST","SST","VST","EST","MST","HST"]},"calculationMode":{"type":"string","description":"calculation mode of this document","enum":["HORIZONTAL","VERTICAL"]},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"hasActiveDuplicates":{"type":"boolean","default":false,"description":"Has this Account a possible duplicate"},"businessRelationType":{"type":"string","description":"Business relation types for accounts.","enum":["B2B","B2C","B2G"]}},"required":["address","businessRelationType"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-account-AccountAddress":{"description":"All addresses except the default address.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"titleRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"name1":{"type":"string","description":"Name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"Name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"Name3","maxLength":255,"minLength":0},"defaultAddress":{"type":"boolean","default":false,"description":"is this the default address of the account","readOnly":true},"types":{"type":"array","description":"the kind of usages for this address","items":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"street":{"type":"string","description":"Street","maxLength":255,"minLength":0},"globalLocationNumber":{"type":"string","description":"GLN/ILN as location identifier for this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"Street address number","maxLength":255,"minLength":0},"additionalAddressLine1":{"type":"string","description":"Additional address line1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"Additional address line2","maxLength":255,"minLength":0},"city":{"type":"string","description":"City","maxLength":255,"minLength":0},"postcode":{"type":"string","description":"Postcode","maxLength":255,"minLength":0},"en16931Profile":{"type":"string","description":"EN16931 profile.","enum":["ZUGFERD","XRECHNUNG","NO_EN_PROFILE"]},"taxIdentificationNumber":{"type":"string","description":"Tax identification number (VAT ID).","maxLength":255,"minLength":0},"taxIdVerificationState":{"type":"string","description":"Validation status of the tax identification number.","enum":["NOT_YET_VERIFIED","VALID","VALID_WITH_INVALID_ADDRESS","INVALID","NOT_NEEDED"],"readOnly":true},"homepageUrl":{"type":"string","description":"Homepage URL"},"regionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"countryCode":{"type":"string","description":"Country code"},"longitude":{"type":"number","format":"double","description":"Longitude"},"latitude":{"type":"number","format":"double","description":"latitude"},"remark":{"type":"string","description":"Special remark.","maxLength":1024,"minLength":0},"postOfficeBox":{"type":"string","description":"Post office box","maxLength":255,"minLength":0},"buyerReference":{"type":"string","description":"Leitweg-ID","maxLength":255,"minLength":0},"eoriNumber":{"type":"string","description":"EORI number.","maxLength":255,"minLength":0},"contacts":{"type":"array","description":"Contacts","items":{"$ref":"#/components/schemas/erp-account-Contact"}},"defaultContacts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-account-Contact"},"description":"Default contacts","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"calculationMode":{"type":"string","description":"calculation mode of this address","enum":["HORIZONTAL","VERTICAL"]},"deviatingPaymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingPaymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingDeliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deviatingDeliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"languageCode":{"type":"string","description":"Address language."},"manufacturerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultForType":{"type":"boolean","default":false,"description":"Default for the account type."}},"required":["name1"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-account-Contact":{"description":"Default contacts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"value":{"type":"string","description":"A Value","maxLength":255,"minLength":0},"typeId":{"type":"string","description":"Type identifier"},"type":{"type":"string","description":"Contact type","enum":["PHONE","SOCIAL","EMAIL","FAX","SKYPE","MS_TEAMS","CUSTOM","MOBILE"]},"label":{"type":"string","description":"Contact label","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"default":{"type":"boolean","default":false,"description":"Is default contact?"}},"required":["value"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-account-AccountPerson":{"description":"Contact person.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","maxLength":255,"minLength":0},"tags":{"type":"array","description":"List of tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"comment":{"type":"string","description":"Comment."},"salutationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"titleRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"firstName":{"type":"string","description":"First name","maxLength":255,"minLength":0},"middleName":{"type":"string","description":"Middle name","maxLength":255,"minLength":0},"lastName":{"type":"string","description":"Lastname","maxLength":255,"minLength":0},"gender":{"type":"string","description":"Gender","enum":["MALE","FEMALE","ETC"]},"locale":{"type":"string","description":"Locale","maxLength":255,"minLength":0},"jobArea":{"type":"string","description":"Job area","maxLength":255,"minLength":0},"jobTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"dateOfBirth":{"type":"string","format":"date","description":"Date of birth"},"sortOrder":{"type":"integer","format":"int64","description":"Sort order."},"remark":{"type":"string","description":"Special remark.","maxLength":1024,"minLength":0},"contacts":{"type":"array","description":"List of contacts","items":{"$ref":"#/components/schemas/erp-account-Contact"}},"defaultContacts":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/erp-account-Contact"},"description":"Default contacts","readOnly":true},"initialContactTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"initialContactAt":{"type":"string","format":"date","description":"Initial contact at."},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"defaultPerson":{"type":"boolean","default":false,"description":"Default contact person.","readOnly":true}},"required":["lastName"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"erp-account-Customer":{"description":"Customer of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"number of customer","maxLength":255,"minLength":0},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"accountingNumber":{"type":"string","description":"finance account-number of customer","maxLength":255,"minLength":0},"taxable":{"type":"boolean","default":true,"description":"Taxable or tax free."},"deliveryBlocked":{"type":"boolean","default":false,"description":"Does the customer have a delivery block?"},"billingType":{"type":"string","description":"presetting of billing type","enum":["GROSS","NET"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productPriceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"stackProcessingType":{"type":"string","description":"Batch processing information for orders.","enum":["ACCORDING_TO_CRITERIA","ONLY_FULL_ORDER","ONLY_FULL_ORDER_LINES","AVAILABLE_QUANTITIES","NO_PROCESSING","FULL_ORDER_LINES_MAX_TWO_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_TWO_PARTIAL_DELIVERIES","FULL_ORDER_LINES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_FINISH_ORDER"]},"stackProcessingPriority":{"type":"integer","format":"int32","description":"Priority for the batch processing."},"maxDeliveries":{"type":"integer","format":"int32","description":"Maximum possible deliveries."},"ourNumber":{"type":"string","description":"customers number for us"},"maximalLoan":{"type":"number","description":"Credit limit.","minimum":0},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"collectiveBillable":{"type":"boolean","default":false,"description":"collective billable"},"collectiveInvoiceManually":{"type":"boolean","default":true,"description":"Trigger the collective billing manually only?"},"dueDateCalculation":{"type":"string","description":"Cron expression for calculating the collective billing."},"dueDate":{"type":"string","format":"date","description":"Next collective billing due date."},"nextDueDate":{"type":"string","format":"date","description":"Next due date after the current one."}}},"erp-account-Supplier":{"description":"Supplier of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountingNumber":{"type":"string","description":"finance account-number of supplier","maxLength":255,"minLength":0},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"dunning":{"type":"boolean","default":false,"description":"Should this be dunned?"},"number":{"type":"string","description":"number of supplier","maxLength":255,"minLength":0},"ourNumber":{"type":"string","description":"suppliers number for us","maxLength":255,"minLength":0},"billingType":{"type":"string","description":"Billing type, net or gross.","enum":["GROSS","NET"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderBlocked":{"type":"boolean","default":false,"description":"Order block."},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultDeliveryTime":{"type":"integer","format":"int32","description":"Delivery time in (working) days."},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"taxable":{"type":"boolean","default":true,"description":"Taxable or tax free."},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"permissibleForOrderProposal":{"type":"boolean","default":true,"description":"Eligible for inclusion in order proposals."},"minimumOrderValue":{"type":"number","description":"Minimum order value."},"freeShippingValue":{"type":"number","description":"Free of freight costs from."},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"createCustomerDeliveryWhenDropShipping":{"type":"boolean","default":false,"description":"Creation of an outgoing delivery document for a drop shipping supplier order."},"dropShippingAllowed":{"type":"boolean","default":false,"description":"Indicates whether drop shipping is allowed."}}},"erp-account-SalesAgent":{"description":"Sales Agent of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"number":{"type":"string","description":"number of sales agent","maxLength":255,"minLength":0},"commissionType":{"type":"string","description":"commission type of sales agent","enum":["INVOICE","ORDER","PAYMENT"]},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxable":{"type":"boolean","description":"is sales agent taxable"},"accountingNumber":{"type":"string","description":"accounting number"},"billingType":{"type":"string","description":"billing type","enum":["GROSS","NET"]},"performanceCountryCode":{"type":"string","description":"country code performance country IsoAlpha3"},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"currencyCode":{"type":"string","description":"currency code  IsoAlpha3"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["billingType","commissionType","deliveryMethodRef","deliveryTermRef","paymentMethodRef","paymentTermRef","taxRateRef","taxable"]},"erp-account-AccountManufacturer":{"description":"Manufacturer of this account","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"active true/false","readOnly":true},"labels":{"type":"array","description":"Descriptions.","items":{"$ref":"#/components/schemas/erp-account-AccountManufacturerDescription"},"minItems":1},"forcedRecommendedRetailPrice":{"type":"boolean","default":false,"description":"Is the recommended retail price mandatory?"}},"required":["labels"]},"erp-account-AccountManufacturerDescription":{"description":"Descriptions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"description":{"type":"string","description":"Description."},"languageCode":{"type":"string","description":"Description language.","minLength":1},"manufacturerUrl":{"type":"string","description":"Manufacturer URL."}},"required":["label","languageCode"]},"erp-account-TaxIdForeignCountry":{"description":"Tax numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"taxId":{"type":"string","description":"Tax ID of the company in the associated country"},"countryCode":{"type":"string","description":"ISO 2 Code of the country this tax ID is used for"}}},"erp-account-AccountRelation":{"description":"Account relations.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"relatedAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"comment":{"type":"string","description":"Comment."},"relationTypeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["relatedAccountRef","relationTypeRef"]},"erp-account-AccountLoanValue":{"description":"Currently calculated values for the account credit limit.","properties":{"accountId":{"type":"integer","format":"int64","description":"Account."},"maximalLoan":{"type":"number","description":"Credit limit."},"currentLoan":{"type":"number","description":"Current loan."},"nonInvoicedDocumentLoan":{"type":"number","description":"Amount from orders."},"receivableLoan":{"type":"number","description":"Amount from receivables."},"payablesSum":{"type":"number","description":"Amount from payables (negative)."},"currentDocumentLoan":{"type":"number","description":"Current document amount."},"remainingLoan":{"type":"number","description":"Remaining amount until the credit limit is reached."},"exceededLoan":{"type":"number","description":"Credit amount exceeded."},"unconsideredAmount":{"type":"number","description":"Amount not taken into account."}},"required":["accountId"]},"erp-document-DocumentFinanceBooking":{"description":"Finance booking.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"documentLineId":{"type":"integer","format":"int64","description":"Document line identifier."},"ledgerNumber":{"type":"string","description":"Finance account number."},"transactionKey":{"type":"string","description":"Transaction key."},"costCenter1":{"type":"string","description":"Cost center."},"comment":{"type":"string","description":"Comment."},"description":{"type":"string","description":"Booking text."}}},"erp-document-DocumentContractDetail":{"description":"Contract details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"startDate":{"type":"string","format":"date","description":"Contract start (header only)."},"endDate":{"type":"string","format":"date","description":"Contract end (header only)."},"runtimeFromDate":{"type":"string","format":"date","description":"Term from."},"runtimeToDate":{"type":"string","format":"date","description":"Term until."},"lastCustomerCancellationDate":{"type":"string","format":"date","description":"Latest possible termination date for the customer."},"lastProviderCancellationDate":{"type":"string","format":"date","description":"Latest possible termination date for the provider."},"dueDateCalculation":{"type":"string","description":"Cron expression for calculating the due date.","minLength":1},"dueDate":{"type":"string","format":"date","description":"Due date."},"nextDueDate":{"type":"string","format":"date","description":"Next due date."},"calculateDirectly":{"type":"boolean","description":"Bill immediately?"},"active":{"type":"boolean","default":true,"description":"Is the contract active?"},"publishInPortal":{"type":"boolean","default":false,"description":"Show in the portal?"}},"required":["dueDateCalculation"]},"erp-document-DocumentLinePosDetail":{"description":"POS information.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"posLineType":{"type":"string","description":"Line type.","enum":["CASH_PAYMENT","CASH_CHANGE","CARD_PAYMENT","VOUCHER_PAYMENT","CASH_START_BALANCE","CASH_FINAL_BALANCE","CASH_DEPOSIT","CASH_EXPENSE","CASH_WITHDRAWAL"]},"depositExpenseTypeId":{"type":"integer","format":"int64","description":"Deposit or expense type."},"paymentMethodId":{"type":"integer","format":"int64","description":"Payment method."},"externalPaymentId":{"type":"string","description":"External payment identifier for the connection to the payment backend."},"externalPaymentStatus":{"type":"string","description":"External payment status.","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"]},"externalPaymentErrorMessage":{"type":"string","description":"Error message from the payment backend (only for a failed payment)."},"paymentOperation":{"type":"string","description":"Payment operation type (PAYMENT, CANCEL, REFUND).","enum":["PAYMENT","CANCEL","REFUND"]},"cancelledExternalPaymentId":{"type":"string","description":"External payment identifier of the payment to cancel (only for CANCEL)."},"withdrawalMode":{"type":"string","description":"Mode for the withdrawal of a POS payment method at the cash closing.","enum":["FULL","BALANCE","MANUAL","NONE"],"readOnly":true},"balanceBeforeWithdrawal":{"type":"number","description":"Payment method balance before the withdrawal.","readOnly":true},"withdrawalAmount":{"type":"number","description":"Withdrawal amount (mode MANUAL).","readOnly":true},"withdrawToBalance":{"type":"number","description":"Withdrawal to amount (mode BALANCE) — remaining amount that stays in the POS register.","readOnly":true},"deletable":{"type":"boolean","default":false,"description":"Can this payment line be removed from the document? False while the payment is still running or has already been executed successfully.","readOnly":true}}},"erp-document-DocumentLineReturnDetail":{"description":"Document line return details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"returnCategory":{"type":"string","description":"Return category.","enum":["MONETARY_COMPENSATION_ITEM_STAYS_WITH_CUSTOMER","MONETARY_COMPENSATION_ITEM_GETS_SEND_BACK","GOODS_EXCHANGE_ITEM_STAYS_WITH_CUSTOMER","GOODS_EXCHANGE_ITEM_GETS_SEND_BACK","UNDECIDED"]},"goodsExchangeArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"waitForReturnBeforeExchange":{"type":"boolean","description":"Wait for the return before the goods replacement (only for GOODS_EXCHANGE_ITEM_GETS_SEND_BACK)?"},"repairRequested":{"type":"boolean","description":"Is a repair requested (only for GOODS_EXCHANGE_ITEM_GETS_SEND_BACK)?"},"warrantyExchange":{"type":"boolean","description":"Is this a warranty exchange (only for *_ITEM_GETS_SEND_BACK)?"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"replacementDeliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"replacementDeliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"returnCauseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerShareOnSurcharge":{"type":"number","description":"Customer share of a surcharge in percent (0-100). How much % of the surcharge does the customer pay?"},"customerShareOnReduction":{"type":"number","description":"Customer share of a price reduction in percent (0-100). How much % of the saving is credited to the customer?"}}},"erp-document-RequestDocumentLineShippingCostDetail":{"description":"Shipping cost details; only set for shipping cost lines that are kept as a numbered document line (e.g. in a collective invoice).","properties":{"manualCosts":{"type":"boolean","default":false,"description":"Were the shipping costs entered manually?"},"freeShipping":{"type":"boolean","default":false,"description":"No shipping costs (free shipping)."},"purchasePrice":{"type":"number","description":"Purchase price in base currency."}}},"erp-document-RequestDocumentLineFabricationDetail":{"description":"Details of the processed fabrication document line.","properties":{"fabricationSerialNumbers":{"type":"array","description":"Fill this only when the serial numbers are to be determined manually before the fabrication starts.","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationSerialNumber"}}}},"erp-fabrication-FabricationSerialNumber":{"description":"Serial number to produce.","properties":{"quantity":{"type":"number","description":"Deviating quantity for lots."},"serialNumberId":{"type":"integer","format":"int64","description":"Identifier of the serial number to produce (only for the targeted production of serial numbers that are already defined)."},"serialNumber1":{"type":"string","description":"Serial number 1."},"serialNumber2":{"type":"string","description":"Serial number 2."},"expiryDate":{"type":"string","format":"date","description":"Best-before or expiry date."},"note":{"type":"string","description":"Note."}}},"erp-document-DocumentType":{"description":"target document type for document copy","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"labels":{"type":"array","description":"label/name of this type","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeLabel"}},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"showForManualDocumentCreation":{"type":"boolean","default":true,"description":"May this type be used to create new documents?"},"nextNumber":{"type":"string","description":"Next document number.","maxLength":255,"minLength":0,"readOnly":true},"followUpDocumentTypes":{"type":"array","description":"follow up document types","items":{"$ref":"#/components/schemas/erp-document-DocumentTypeFollowUp"},"readOnly":true},"defaultTypeOfCategory":{"type":"boolean","default":false,"description":"Is this document type the default document type of its category?"},"active":{"type":"boolean","default":true,"description":"Is this document type active?"},"shelfDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sequencerConfiguration":{"$ref":"#/components/schemas/common-sequencer-SequencerConfiguration"},"requiresBusinessRelationship":{"type":"boolean","default":true,"description":"The business relation is mandatory."},"publishingPolicy":{"type":"string","default":"AUTOMATIC","description":"Assigned DMS document behavior.","enum":["AUTOMATIC","MANUAL"]},"sortOrder":{"type":"integer","format":"int32","description":"Sort order."}},"required":["category"]},"erp-document-DocumentTypeLabel":{"description":"label/name of this type","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"languageCode":{"type":"string","description":"Language code"},"label":{"type":"string","description":"label/name of this type (for display)","minLength":1},"labelPrintout":{"type":"string","description":"label/name of this type (for printout)","minLength":1}},"required":["label","labelPrintout","languageCode"]},"erp-document-DocumentTypeFollowUp":{"description":"follow up document types","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"sourceDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this successor document type active?","readOnly":true}},"required":["sourceDocumentTypeRef","targetDocumentTypeRef"]},"common-sequencer-SequencerConfiguration":{"description":"Own number range for serial numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"key":{"type":"string","description":"Unique key to identify the sequencer configuration","readOnly":true},"configurationGroup":{"type":"string","description":"Group of the sequencer configuration (e.g. Document, Account, ...)","readOnly":true},"configurationDetail":{"$ref":"#/components/schemas/common-sequencer-SequencerConfigurationDetail"},"alternativeConfiguration":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the sequencer active?"}},"required":["configurationDetail"]},"common-sequencer-SequencerConfigurationDetail":{"description":"Contains details about the sequencer configuration","properties":{"type":{"type":"string","description":"Sequence type.","enum":["NON_POOLED_SEQUENCES","POOLED_SEQUENCES","PREFETCHED_SEQUENCES"]},"assignmentMode":{"type":"string","description":"Assignment procedure.","enum":["MANUAL","AUTOMATIC","SEMI_AUTOMATIC","FREE"]},"length":{"type":"integer","format":"int32","description":"Length.","minimum":0},"padChar":{"type":"string","description":"Padding character.","maxLength":1,"minLength":1,"pattern":"^[0-9]*$"},"expression":{"type":"string","description":"Prefix expression."},"postExpression":{"type":"string","description":"Postfix expression."},"initialValue":{"type":"integer","format":"int64","description":"Initial value."},"numberUnique":{"type":"boolean","default":true,"description":"Uniqueness check."}},"required":["assignmentMode","initialValue","length","padChar","type"]},"erp-document-DocumentPosDetail":{"description":"Receipt details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"posRegisterRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashDrawerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashJournalRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fiscalizationBackendRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"tssSignature":{"$ref":"#/components/schemas/erp-pos-TssSignature"},"externalReference":{"type":"string","description":"External reference.","readOnly":true},"timeStart":{"type":"integer","format":"int64","description":"Transaction start time."},"timeEnd":{"type":"integer","format":"int64","description":"Transaction end time."},"clientSerialNumber":{"type":"string","description":"Client serial number."},"tssSerialNumber":{"type":"string","description":"TSS serial number."},"transactionNumber":{"type":"integer","format":"int64","description":"Transaction number."},"revision":{"type":"integer","format":"int32","description":"Revision"},"signatureCounter":{"type":"integer","format":"int64","description":"Signature counter."},"signature":{"type":"string","description":"Signature."},"withdrawalFromClosing":{"type":"boolean","default":false,"description":"Was this cash withdrawal created by the cash closing? Such a withdrawal cannot be cancelled on its own.","readOnly":true}}},"erp-pos-TssSignature":{"description":"TSS signature.","properties":{"status":{"type":"string","description":"Signing status.","enum":["FINISHED","ACTIVE","CANCELLED","ERROR"],"readOnly":true},"responseData":{"type":"string","description":"TSS response data.","readOnly":true},"externalReference":{"type":"string","description":"External reference.","readOnly":true},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true}}},"erp-document-DocumentPosPayment":{"description":"POS payment in the document.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"amount":{"type":"number","description":"Amount."},"posLineType":{"type":"string","description":"Line type.","enum":["CASH_PAYMENT","CASH_CHANGE","CARD_PAYMENT","VOUCHER_PAYMENT","CASH_START_BALANCE","CASH_FINAL_BALANCE","CASH_DEPOSIT","CASH_EXPENSE","CASH_WITHDRAWAL"]},"depositExpenseTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"posPaymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"externalPaymentId":{"type":"string","description":"External payment identifier for the connection to the payment backend.","readOnly":true},"externalPaymentStatus":{"type":"string","description":"External payment status.","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"],"readOnly":true},"externalPaymentErrorMessage":{"type":"string","description":"Error message from the payment backend (only for a failed payment).","readOnly":true},"paymentOperation":{"type":"string","description":"Payment operation type (PAYMENT, CANCEL, REFUND).","enum":["PAYMENT","CANCEL","REFUND"],"readOnly":true},"cancelledExternalPaymentId":{"type":"string","description":"External payment identifier of the payment to cancel (only for CANCEL).","readOnly":true},"withdrawalMode":{"type":"string","description":"Mode for the withdrawal of a POS payment method at the cash closing.","enum":["FULL","BALANCE","MANUAL","NONE"]},"balanceBeforeWithdrawal":{"type":"number","description":"Payment method balance before the withdrawal (set by the backend).","readOnly":true},"withdrawalAmount":{"type":"number","description":"Withdrawal amount; in mode MANUAL provided by the user, in modes FULL/BALANCE/NONE calculated by the backend from the current balance."},"withdrawToBalance":{"type":"number","description":"Withdrawal to amount (mode BALANCE) — remaining amount that stays in the POS register."},"deletable":{"type":"boolean","default":false,"description":"Can this payment line be removed from the document? False while the payment is still running or has already been executed successfully.","readOnly":true}},"required":["amount","posLineType"]},"erp-document-DocumentText":{"description":"Texts.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"textPosition":{"type":"string","default":"HEADER_TEXT","description":"position relative to the product line OR Document. For usage within text-line, this position is irrelevant","enum":["HEADER_TEXT","FOOTER_TEXT"]},"content":{"type":"string","description":"if this attribute is used, the text is used as free-text"},"textTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transferableIntoSubsequentDocuments":{"type":"boolean","default":true,"description":"Does this text remain after transfer into a subsequent document"},"deleted":{"type":"boolean","default":false,"description":"Removed and should therefore no longer be shown."},"initialized":{"type":"boolean","description":"Is the content filled?","readOnly":true}},"required":["deleted"]},"erp-document-DocumentResponse":{"properties":{"document":{"$ref":"#/components/schemas/erp-document-Document"},"hints":{"$ref":"#/components/schemas/erp-document-DocumentValidationHints"},"viewOptions":{"$ref":"#/components/schemas/erp-document-DocumentViewOptions"}}},"erp-document-Document":{"description":"document to update","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Document number.","maxLength":255,"minLength":0},"accountNumber":{"type":"string","description":"Account number of the associated organizational unit.","maxLength":255,"minLength":0,"readOnly":true},"customerNumber":{"type":"string","description":"Customer number.","maxLength":255,"minLength":0,"readOnly":true},"ourCustomerNumber":{"type":"string","description":"Customer number at the supplier.","maxLength":255,"minLength":0,"readOnly":true},"supplierNumber":{"type":"string","description":"Supplier number.","maxLength":255,"minLength":0,"readOnly":true},"salesAgentNumber":{"type":"string","description":"Sales agent number.","maxLength":255,"minLength":0,"readOnly":true},"externalIdentifier":{"type":"string","description":"External identifier.","maxLength":255,"minLength":0},"externalNumber":{"type":"string","description":"External document number.","maxLength":255,"minLength":0},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system, e.g. the transaction id of the payment provider.","maxLength":255,"minLength":0},"published":{"type":"boolean","default":false,"description":"Is the document published (printed, sent by email)?","readOnly":true},"frozen":{"type":"boolean","default":false,"description":"Is the document frozen?","readOnly":true},"qualifier":{"type":"string","description":"Document qualifier.","enum":["SALE","PURCHASE","COMMISSION","SALES_CONTRACT","PURCHASE_CONTRACT","POINT_OF_SALE","FABRICATION","RMA"],"readOnly":true},"accountId":{"type":"string","description":"Organizational unit identifier."},"billingAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentDate":{"type":"string","format":"date","description":"Document date."},"performanceDate":{"type":"string","format":"date","description":"Performance date."},"valueDate":{"type":"string","format":"date","description":"Value date."},"taxable":{"type":"boolean","default":true,"description":"Taxable or tax free."},"taxIdentificationNumber":{"type":"string","description":"VAT identification number.","maxLength":255,"minLength":0},"taxIdVerificationState":{"type":"string","description":"Validation status of the tax identification number.","enum":["NOT_YET_VERIFIED","VALID","VALID_WITH_INVALID_ADDRESS","INVALID","NOT_NEEDED"],"readOnly":true},"valitoolValidationState":{"type":"string","description":"Validation status for electronic invoices.","enum":["NOT_VALIDATED","VALID","NOT_VALID"],"readOnly":true},"billingType":{"type":"string","description":"Billing type.","enum":["GROSS","NET"]},"documentType":{"type":"string","description":"Document type (internal).","readOnly":true},"documentTypeId":{"type":"integer","format":"int64","description":"Document type identifier.","readOnly":true},"documentTypeCategory":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"],"readOnly":true},"documentState":{"$ref":"#/components/schemas/erp-document-DocumentTypeState"},"cancellationReasonRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"currencyCode":{"type":"string","description":"Currency (ISO code, Alpha-3)."},"exchangeRate":{"type":"number","description":"Exchange rate."},"exchangeRateOrigin":{"type":"string","default":"AUTOMATIC","description":"Exchange rate determination origin.","enum":["AUTOMATIC","AUTOMATIC_FOR_CURRENT_DATE","USER_DEFINED"]},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"totalBeforeModifier":{"type":"number","description":"Total price before discount [gross, net].","readOnly":true},"totalPriceModifier":{"type":"number","description":"Total discount [gross, net].","readOnly":true},"totalLinePriceModifier":{"type":"number","description":"Total line discount [gross, net].","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Total document discount [gross, net].","readOnly":true},"totalNetPrice":{"type":"number","description":"Total price net.","readOnly":true},"totalVat":{"type":"number","description":"Total VAT.","readOnly":true},"totalGrossPrice":{"type":"number","description":"Total price gross.","readOnly":true},"roundingAmount":{"type":"number","description":"Final amount rounding: difference between the rounded gross amount and (net + VAT).","readOnly":true},"paymentTermRef":{"$ref":"#/components/schemas/erp-document-PaymentTermRef"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositPaymentAmount":{"type":"number","description":"Agreed deposit amount."},"depositPaymentDate":{"type":"string","format":"date","description":"Agreed deposit date.","readOnly":true},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryDate":{"type":"string","format":"date","description":"Expected delivery date."},"deliveryDateEnd":{"type":"string","format":"date","description":"Expected delivery end (only when the delivery date is set)."},"confirmedDeliveryDate":{"type":"string","format":"date","description":"Confirmed delivery date."},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"Confirmed delivery end (only when the confirmed delivery date is set)."},"shippingDate":{"type":"string","format":"date","description":"Shipping date."},"deliveryQuantityPackages":{"type":"integer","format":"int32","description":"Expected number of parcels (information only)."},"deliveryText":{"type":"string","description":"Additional delivery text.","maxLength":255,"minLength":0},"deliveryApproved":{"type":"boolean","default":true,"description":"Is the document released for delivery?"},"dropShippingInvoiceApproved":{"type":"boolean","description":"Is the drop shipping document released for invoicing?","readOnly":true},"orderedOn":{"type":"string","format":"date","description":"Order date."},"orderedByPersonRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderedBy":{"type":"string","description":"Name of the ordering person.","maxLength":255,"minLength":0},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is the reverse charge procedure under §13b UStG applied?"},"collectiveInvoice":{"type":"boolean","default":false,"description":"Is this a collective invoice?"},"texts":{"type":"array","description":"Document texts.","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"lines":{"type":"array","description":"Document lines.","items":{"$ref":"#/components/schemas/erp-document-DocumentLine"}},"shippingCosts":{"type":"array","description":"Shipping cost lines.","items":{"$ref":"#/components/schemas/erp-document-DocumentShippingCost"}},"posPayments":{"type":"array","description":"POS payment lines.","items":{"$ref":"#/components/schemas/erp-document-DocumentPosPayment"}},"shippingCostSum":{"type":"number","description":"Total of the shipping costs (net and gross).","readOnly":true},"priceModifiers":{"type":"array","description":"Price changes (e.g. discounts).","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"taxes":{"type":"array","description":"Document tax summary.","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"},"readOnly":true},"defaultAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"billingAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"deliveryAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"returnDeliveryAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"stackProcessingType":{"type":"string","description":"Batch processing information for orders.","enum":["NO_PICKING","ACCORDING_TO_CRITERIA","ONLY_FULL_ORDER","ONLY_FULL_ORDER_LINES","AVAILABLE_QUANTITIES","NO_PROCESSING","FULL_ORDER_LINES_MAX_TWO_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_TWO_PARTIAL_DELIVERIES","FULL_ORDER_LINES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_FINISH_ORDER"]},"stackProcessingPriority":{"type":"integer","format":"int32","description":"Priority in the batch processing."},"maxDeliveries":{"type":"integer","format":"int32","description":"Maximum possible deliveries."},"taxPerformanceLocation":{"type":"string","description":"Place of the taxable performance.","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"mainSupplyType":{"type":"string","description":"Predominant supply of a sales document (goods or services). Empty for all other documents. Only taken over from the request if mainSupplyTypeOrigin is USER_DEFINED, then it is required.","enum":["GOODS","SERVICES"]},"mainSupplyTypeOrigin":{"type":"string","default":"AUTOMATIC","description":"Origin of the main supply type. AUTOMATIC determines it from the document lines, PREDECESSOR takes over the value set by the user in the predecessor of a credit note or cancellation, USER_DEFINED keeps the value set by the user.","enum":["AUTOMATIC","PREDECESSOR","USER_DEFINED"]},"performanceCountryCode":{"type":"string","description":"Country code of the performance country (ISO Alpha-3)."},"sourceCountryCode":{"type":"string","description":"Country code of the country of origin (ISO Alpha-3)."},"afterPickingTargetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"grossWeight":{"type":"number","description":"Total gross weight."},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"userDefinedWeight":{"type":"boolean","default":false,"description":"The total weight was set manually."},"tags":{"type":"array","description":"Document tags.","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"reportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashDiscountableTotalGrossPrice":{"type":"number","description":"Total gross amount eligible for the payment discount.","readOnly":true},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentPosDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentFabricationDetail"},"buyerReference":{"type":"string","description":"Leitweg-ID","maxLength":255,"minLength":0},"en16931Profile":{"type":"string","description":"EN16931 profile for electronic invoices.","enum":["ZUGFERD","XRECHNUNG","NO_EN_PROFILE"]},"importType":{"type":"string","description":"Document import mode.","enum":["NOT_IMPORTED","TRANSFERABLE","TRANSFERABLE_AND_EDITABLE","HISTORICAL_DATA","E_INVOICE","EXTERNALLY_CREATED"],"readOnly":true},"paymentPlan":{"type":"boolean","default":false,"description":"Is a payment plan present?"},"calculationMode":{"type":"string","description":"Calculation mode.","enum":["HORIZONTAL","VERTICAL"]},"processedByWorkflow":{"type":"boolean","description":"Is this processed by the workflow?","readOnly":true},"referencedOrderNumber":{"type":"string","description":"Order number from the predecessor document.","readOnly":true},"additionalInfo":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo"},"languageCode":{"type":"string","description":"Language."},"baseCurrencyCode":{"type":"string","description":"Document base currency."},"baseTotalNetPrice":{"type":"number","description":"Total price - net in base currency."},"baseTotalLinePriceModifier":{"type":"number","description":"Price adjustments - document line total, in base currency."},"baseTotalDocumentPriceModifier":{"type":"number","description":"Price adjustments - document, in base currency."},"baseTotalGrossPrice":{"type":"number","description":"Total price - gross in base currency."},"baseDepositPaymentAmount":{"type":"number","description":"Prepayment amount in base currency."},"baseCashDiscountableTotalGrossPrice":{"type":"number","description":"Invoice amount eligible for the payment discount in base currency."},"forwardEmailToShipper":{"type":"boolean","default":false,"description":"Pass the email to the shipper."},"forwardPhoneToShipper":{"type":"boolean","default":false,"description":"Pass the phone number to the shipper."},"posReceiptPaymentSum":{"type":"number","description":"Receipt: total payment amount."},"posReceiptBalance":{"type":"number","description":"Receipt: balance.\nA positive value is the amount still to be paid.\nA negative value is the overpaid amount or change.\n"},"posReceiptChangeAmount":{"type":"number","description":"Change."},"posReceiptBalanced":{"type":"boolean","default":false,"description":"Is the receipt balanced, i.e. paid with no change?\nTrue when the receipt is balanced.\n"},"posReceiptPayed":{"type":"boolean","default":false,"description":"Is the receipt paid?\nTrue when the receipt is paid.\n"},"dropShipping":{"type":"boolean","description":"Drop shipping.","readOnly":true},"totalGrossVolumeInCubicMeters":{"type":"number","description":"total gross Volume in cubic meters","readOnly":true}},"required":["accountId","billingType","calculationMode","currencyCode","defaultAddress","deliveryApproved","documentDate","number"]},"erp-document-DocumentTypeState":{"description":"Document state instance.","properties":{"label":{"type":"string","description":"label/name of this state","minLength":1},"key":{"type":"string","description":"unique key for this state"},"definition":{"type":"string","description":"additional state information","enum":["SELECTABLE_TYPES","EDITABLE","DELETED"]}},"required":["key","label"]},"erp-document-PaymentTermRef":{"description":"Reference to a PaymentTerm flagged as deposit or prepayment.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true},"paymentType":{"type":"string","description":"payment type","enum":["PREPAYMENT","PAYMENT","DEPOSIT"]}},"required":["id","paymentType"]},"erp-document-DocumentLine":{"description":"Document lines.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"position":{"type":"integer","format":"int32","description":"Position number.","readOnly":true},"positionOfArticleLine":{"type":"integer","format":"int32","description":"Position number across all article lines.","readOnly":true},"articleId":{"type":"string","description":"Article."},"lineType":{"type":"string","description":"Line type.","enum":["ARTICLE_LINE","ALTERNATIVE_POSITION","LINK_POSITION","OPTIONAL_POSITION","TEXT_LINE","SHIPPING_COST_LINE","SUBTOTAL","POS","ROUNDING_LINE","OPEN_ITEM_SETTLEMENT","ON_ACCOUNT_PAYMENT","VOUCHER_SALE","VOUCHER_REDEMPTION"]},"productType":{"type":"string","description":"Article types.","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"number":{"type":"string","description":"Article number.","maxLength":255,"minLength":0},"name":{"type":"string","description":"Article name.","maxLength":255,"minLength":0},"description":{"type":"string","description":"Article description.","maxLength":2147483647,"minLength":0},"unitType":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"price":{"type":"number","description":"Price per quantity [gross, net]."},"priceUnit":{"type":"number","description":"Price unit."},"priceOrigin":{"type":"string","description":"Price origin.","enum":["USER_DEFINED","PRODUCT","PREDECESSOR_DOCUMENT","PICKLIST"],"readOnly":true},"priceSelectionCriteria":{"$ref":"#/components/schemas/erp-product-PriceSelectionCriteria"},"quantity":{"type":"number","description":"Quantity."},"quantityCommitted":{"type":"number","description":"Processed quantity.","readOnly":true},"pickingQuantity":{"type":"number","description":"Quantity in the picking process.","readOnly":true},"preOrderPickedQuantity":{"type":"number","description":"Pre-ordered quantity in the picking process.","readOnly":true},"complete":{"type":"boolean","default":false,"description":"Is this line completely processed?","readOnly":true},"taxSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxes":{"type":"array","description":"Taxes.","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"}},"totalLinePriceModifier":{"type":"number","description":"Total of the line price changes [gross, net].","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Total of the document price changes [gross, net].","readOnly":true},"priceModifiers":{"type":"array","description":"Applied price changes.","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"salesValueNet":{"type":"number","description":"Net total price (after the price changes).","readOnly":true},"vat":{"type":"number","description":"Tax amount.","readOnly":true},"totalLinePrice":{"type":"number","description":"Line total [gross, net], i.e. price * quantity less the line discounts.","readOnly":true},"texts":{"type":"array","description":"Line texts.","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"shippingCostDetail":{"$ref":"#/components/schemas/erp-document-RequestDocumentLineShippingCostDetail"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"country":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"countryRegion":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":15,"minLength":0},"deliveryDate":{"type":"string","format":"date","description":"Delivery date."},"deliveryDateEnd":{"type":"string","format":"date","description":"Expected delivery period end (only required for delivery periods when the delivery date is set)."},"confirmedDeliveryDate":{"type":"string","format":"date","description":"Confirmed delivery date."},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"Confirmed delivery period end (only required for delivery periods when the delivery date is set)."},"shippingDate":{"type":"string","format":"date","description":"Shipping date."},"deliveryText":{"type":"string","description":"Delivery text.","maxLength":255,"minLength":0},"packageOptions":{"type":"string","description":"Shipper-specific information."},"externalReferenceVds":{"type":"string","description":"External reference to the VDS parcel.","maxLength":255,"minLength":0},"externalArticleNumber":{"type":"string","description":"External article number.","maxLength":255,"minLength":0,"readOnly":true},"externalArticleName":{"type":"string","description":"External article name.","maxLength":255,"minLength":0,"readOnly":true},"externalArticleDescription":{"type":"string","description":"External article description.","maxLength":255,"minLength":0,"readOnly":true},"netWeight":{"type":"number","description":"Net weight."},"totalNetWeight":{"type":"number","description":"Total net weight."},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossWeight":{"type":"number","description":"Gross weight."},"totalGrossWeight":{"type":"number","description":"Total gross weight."},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"capacity":{"type":"number","description":"Unit of measure content."},"capacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"baseCapacity":{"type":"number","description":"Base unit content."},"baseCapacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sourceLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"baseLineId":{"type":"integer","format":"int64","description":"Reference to the base line."},"mainArticleLineRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"settledOpenItemRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherCode":{"type":"string","description":"Scanned code of the preprinted voucher card (VOUCHER_SALE of a voucher type with scanned codes only)"},"settledOpenItemBalance":{"type":"number","description":"Open remaining amount of the open item to settle (only in the response)."},"settledOpenItemPaymentDueDate":{"type":"string","format":"date","description":"Due date of the open item to settle (only in the response)."},"settledOpenItemDiscountAmount":{"type":"number","description":"Payment discount of the open item to settle that is applicable at the document date (only in the response)."},"settledOpenItemComment":{"type":"string","description":"Note on the open item line - transferred into the open item comment on closing."},"customerOrderLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"supplierOrderLineIds":{"type":"array","description":"Reference to the supplier order line.","items":{"type":"integer","format":"int64","description":"Reference to the supplier order line."}},"storage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"components":{"type":"array","description":"Components.","items":{"$ref":"#/components/schemas/erp-document-DocumentLineComponent"}},"fabricationComponents":{"type":"array","description":"Components.","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationComponent"}},"bookings":{"type":"array","description":"Bookings.","items":{"$ref":"#/components/schemas/erp-document-DocumentLineBooking"}},"commissions":{"type":"array","description":"Commissions.","items":{"$ref":"#/components/schemas/erp-document-DocumentLineCommission"}},"previousDecisions":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"articleTaxLiabilityReversed":{"type":"boolean","default":false,"description":"§13b UStG preset of the article.","readOnly":true},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is §13b UStG applied?","readOnly":true},"presetPrice":{"type":"number","description":"Preset value for the price calculation.","readOnly":true},"calculationData":{"type":"string","description":"Calculation structure."},"revenueCalculation":{"$ref":"#/components/schemas/erp-document-RevenueCalculation"},"commissionOrigin":{"type":"string","description":"Commission origin.","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]},"cashDiscountable":{"type":"boolean","default":true,"description":"Is this line eligible for the payment discount?"},"discountable":{"type":"boolean","default":true,"description":"Is this line eligible for discount?"},"commissionable":{"type":"boolean","default":false,"description":"Is this line eligible for commission?"},"warrantyInMonths":{"type":"integer","format":"int32","description":"Warranty in months."},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentLinePosDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationDetail"},"returnDetail":{"$ref":"#/components/schemas/erp-document-DocumentLineReturnDetail"},"financeBooking":{"$ref":"#/components/schemas/erp-document-DocumentFinanceBooking"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variantValues":{"type":"array","description":"Product variant values.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"performanceDate":{"type":"string","format":"date","description":"Performance date."},"basePrice":{"type":"number","description":"Price per unit in base currency."},"baseTotalLinePriceModifier":{"type":"number","description":"Price adjustments - line, in base currency."},"baseTotalDocumentPriceModifier":{"type":"number","description":"Price adjustments - proportionally from the document, in base currency."},"baseTotalLinePrice":{"type":"number","description":"Total line price in base currency."},"baseSalesValueNet":{"type":"number","description":"Line net sales value in base currency."},"progressInvoice":{"type":"boolean","default":false,"description":"Is this a progress invoice line?"},"dropShippingPolicy":{"type":"string","description":"Defines whether and how an article may be sold by drop shipping.","enum":["ANY","DROP_SHIPPING","STORAGE","STORAGE_WITH_FALLBACK_TO_DROP_SHIPPING"]},"unitGrossVolumeInCubicMeters":{"type":"number","description":"unit gross Volume in cubic meters"},"totalGrossVolumeInCubicMeters":{"type":"number","description":"unit gross Volume in cubic meters","readOnly":true},"convertedIntoBundleArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"onGoodsArrivalConvertIntoBundleArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"insertTerm":{"type":"string","description":"Accessory insert term.","enum":["MANUAL","AUTOMATIC_QUANTITY_IF_ACCESSORY_INSERTED","AUTOMATIC_PROPORTIONAL_QUANTITY","AUTOMATIC_FIXED_QUANTITY"]},"hasAccessories":{"type":"boolean","default":false,"description":"Does the article have accessories?"},"recalcLinePriceViaComponents":{"type":"boolean","default":false,"description":"Should the DocumentLine be recalculated from the components?"},"doPrintLabel":{"type":"boolean","default":false,"description":"Should labels be printed for this line?"},"storageInfo":{"type":"string","description":"picking hint","maxLength":2147483647,"minLength":0}},"required":["lineType"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-PriceSelectionCriteria":{"description":"Price determination criteria.","properties":{"qualifier":{"type":"string","description":"Qualifier.","enum":["SALES","PURCHASE"]},"articleIds":{"type":"array","description":"Article identifiers.","items":{"type":"integer","format":"int64","description":"Article identifiers."}},"selectOnlyDefaultPrice":{"type":"boolean","default":false,"description":"Should only the default price be selected?"},"accountIds":{"type":"array","description":"Account identifiers.","items":{"type":"integer","format":"int64","description":"Account identifiers."}},"productGroupId":{"type":"integer","format":"int64","description":"Product group."},"priceGroupId":{"type":"integer","format":"int64","description":"Price group."},"date":{"type":"string","format":"date","description":"Date."},"quantity":{"type":"number","description":"Quantity."},"noteSpecialOfferPrice":{"type":"boolean","description":"Consider the special offer price?"}}},"erp-document-DocumentTax":{"description":"Document tax summary.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxableAmount":{"type":"number","description":"taxable amount"},"taxValue":{"type":"number","description":"tax value"},"grossAmount":{"type":"number","description":"gross amount"},"taxType":{"type":"string","description":"Tax type.","enum":["VAT"]},"taxFree":{"type":"boolean","default":false,"description":"Is this tax free?"},"baseTaxableAmount":{"type":"number","description":"Taxable amount in base currency."},"baseTaxValue":{"type":"number","description":"Tax amount in base currency."},"baseGrossAmount":{"type":"number","description":"Gross amount in base currency."}}},"erp-document-DocumentPriceModifier":{"description":"Price changes (e.g. discounts).","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name of modifier"},"valueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"value":{"type":"number","description":"Value","minimum":0},"calculatedValue":{"type":"number","description":"calculated discount/surcharge"},"sourceType":{"type":"string","description":"Source of price modifier","enum":["CUSTOM","PRODUCT","DISCOUNT_GROUP","PREDECESSOR_DOCUMENT"]},"sourceId":{"type":"integer","format":"int64","description":"ID of Source entity of price modifier"},"modifierType":{"type":"string","description":"modifierType","enum":["DISCOUNT","SURCHARGE"]},"baseValue":{"type":"number","description":"Modifier value in base currency.","minimum":0},"baseCalculatedValue":{"type":"number","description":"Calculated modifier value in base currency."}},"required":["modifierType","value","valueType"]},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"erp-document-DocumentLineRef":{"description":"Reference to a DocumentLine.","properties":{"id":{"type":"integer","format":"int64","description":"Document line identifier."},"documentId":{"type":"integer","format":"int64","description":"Document identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."},"articleNumber":{"type":"string","description":"Article number."},"position":{"type":"integer","format":"int32","description":"Position number."},"name":{"type":"string","description":"Article name.","maxLength":2147483647,"minLength":0},"quantity":{"type":"number","description":"quantity"},"price":{"type":"number","description":"price per quantity [GROSS, NET]"},"displayName":{"type":"string","description":"Customer short label."}},"required":["id"]},"erp-document-DocumentLineComponent":{"description":"Components.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Reference to the component article."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"quantity":{"type":"number","description":"Quantity."},"price":{"type":"number","description":"Unit price."},"quantityCommitted":{"type":"number","description":"Delivered quantity."},"pickingQuantity":{"type":"number","description":"Quantity in picking."},"quantityPerAssemblyGroup":{"type":"number","description":"Quantity per assembly."},"name":{"type":"string","description":"Article name.","maxLength":255,"minLength":0},"description":{"type":"string","description":"Article description.","maxLength":2048,"minLength":0},"position":{"type":"integer","format":"int32","description":"Component position in the assembly."},"sourceDocumentLineComponentId":{"type":"integer","format":"int64","description":"Reference to the component in the source Document."},"bookings":{"type":"array","description":"Bookings for this component.","items":{"$ref":"#/components/schemas/erp-document-DocumentLineBooking"}},"texts":{"type":"array","description":"Component texts.","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineComponentFabricationDetail"}},"required":["quantity"]},"erp-document-DocumentLineBooking":{"description":"Bookings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"quantity":{"type":"number","description":"Booked quantity."},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"note":{"type":"string","description":"Note."},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"},"batchSelectedAutomatically":{"type":"boolean","description":"Was the batch selected automatically at the POS by the earliest best before date?","readOnly":true}},"required":["quantity","storageBinRef"]},"erp-fabrication-DocumentLineComponentFabricationDetail":{"description":"Component fabrication details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialInheritanceComponent":{"type":"boolean","default":false,"description":"Use for the serial number inheritance."},"deviatingUnitPrice":{"type":"number","description":"Deviating production costs."},"sourceBundleArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-product-ProductArticleRef":{"description":"All articles belonging to this product.","properties":{"id":{"type":"integer","format":"int64","description":"Article identifier."},"number":{"type":"string","description":"Article number"},"name":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"erp-fabrication-DocumentLineFabricationComponent":{"description":"Document line component of a fabrication article in customer offers and customer orders.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"position":{"type":"integer","format":"int32","description":"Position."},"componentArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"sourceBundleArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"quantity":{"type":"number","description":"Quantity."},"deviatingUnitRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deviatingUnitPrice":{"type":"number","description":"Deviating production costs."},"forSerialInheritance":{"type":"boolean","default":false,"description":"Basis for inheriting the serial number."},"name":{"type":"string","description":"Label.","maxLength":255,"minLength":0},"description":{"type":"string","description":"Description.","maxLength":2147483647,"minLength":0}},"required":["componentArticleRef","quantity"]},"erp-document-DocumentLineCommission":{"description":"Commissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salesAgentAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"description":{"type":"string","description":"Description."},"comment":{"type":"string","description":"Comment."},"valueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"value":{"type":"number","description":"Commission percentage or value."},"origin":{"type":"string","description":"Origin.","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]},"valueCurrencyCode":{"type":"string","description":"the currency-code IsoAlpha3"}},"required":["origin","salesAgentAccountRef","value","valueType"]},"erp-document-RevenueCalculation":{"description":"Gross profit determination.","properties":{"productPurchasePrice":{"type":"number","description":"Purchase price.","readOnly":true},"salesValue":{"type":"number","description":"Net revenue.","readOnly":true},"revenue":{"type":"number","description":"Contribution margin (absolute).","readOnly":true},"revenueInPercent":{"type":"number","description":"Contribution margin (percent).","readOnly":true}}},"erp-fabrication-DocumentLineFabricationDetail":{"description":"Line fabrication details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialNumbers":{"type":"array","description":"Produced serial numbers.","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationDetailSerialNumber"}},"quantityCommitted":{"type":"number","description":"Quantity produced."},"quantityInQA":{"type":"number","description":"Quantity in quality assurance."},"quantityDefective":{"type":"number","description":"Quantity defective."},"quantityFinished":{"type":"number","description":"Quantity completed."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-fabrication-DocumentLineFabricationDetailSerialNumber":{"description":"Produced line serial numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Produced or planned quantity."},"quantityCommitted":{"type":"number","description":"Actually produced quantity."},"quantityInQA":{"type":"number","description":"Quantity in quality assurance."},"quantityDefective":{"type":"number","description":"Quantity defective."},"quantityFinished":{"type":"number","description":"Quantity completed."},"bookedComponents":{"type":"array","description":"Booked components.","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationBookedComponent"}}},"required":["quantity","quantityCommitted","serialNumber"]},"erp-product-ArticleSerialNumber":{"description":"Serial number.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"ty
[...]
